#include <QVBoxLayout>
#include <QPushButton>
#include <QPixmap>
#include <QGraphicsScene>
#include <QString>
#include <QFileDialog>

#include "blackcat.h"
#include "blackview.h"


BlackCat::BlackCat(QWidget *parent) : QWidget(parent)
{
	bview = new BlackView;
	bview->setFixedSize(200, 120);
	bview->setDragMode(QGraphicsView::RubberBandDrag);
	bview->setCursor(Qt::CrossCursor);

	QPushButton *open1 = new QPushButton(tr("Open"));
	
		
	QVBoxLayout *layout = new QVBoxLayout;
	layout->addWidget(bview);
	layout->addWidget(open1);
	
	setLayout(layout);
	
	connect(open1, SIGNAL(clicked()), this, SLOT(Open1()));
	//connect(bview->horizontalScrollBar(), SIGNAL(valueChanged(int)), bview, SLOT(Message()));
}

void BlackCat::Open1() 
{
	//loading img
	QString file1 = QFileDialog::getOpenFileName(this,
		"Open file", "../../", "Image files (*.png)") ;
		
	QPixmap *bitmapa1 = new QPixmap;
	QGraphicsScene *area1 = new QGraphicsScene(bview);
	bitmapa1->load(file1);
	
	
	// showing image
	area1->addPixmap(*bitmapa1);
	bview->setScene(area1);
	bview->setDragMode(QGraphicsView::RubberBandDrag);
	bview->show();
}
